Lookup item
curl --request GET \
--url https://api.managem.co.uk/search/lookupimport requests
url = "https://api.managem.co.uk/search/lookup"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.managem.co.uk/search/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"urn": "<string>",
"type": "card",
"game": "Pokemon",
"title": "<string>",
"name": "<string>",
"rarity": "<string>",
"set": {
"name": "<string>",
"urn": "<string>",
"counts": {
"printed": 123,
"total": 123
},
"references": [
"<string>"
],
"size": 123,
"symbol": {
"url": "<string>"
},
"released": "<string>"
},
"series": {
"name": "<string>",
"urn": "<string>"
},
"images": [
{
"urn": "<string>",
"orientation": "portrait",
"url": "<string>",
"illustrator": "<string>"
}
],
"number": "<string>",
"description": "<string>",
"price": 123,
"available": 0,
"quantity": 0,
"min": {
"price": 123
},
"max": {
"price": 123
}
}Cards & sealed products
Lookup item
Resolve a single indexed item using either a URN or a slug.
Use this when opening an item detail page from a stable identifier.
Behavior:
- Accepts query parameters for
urnorslug. - Returns the matched indexed item document when found.
- Returns
404when no matching item exists.
Good to know:
- 200 and 404 responses are both cacheable for a short period, which helps repeated lookups.
GET
/
search
/
lookup
Lookup item
Query Parameters
URN of the item to lookup
Example:
"urn:managem:pokemon:product/pop8/pop-series-8-pack-4c899e14"
Slug of the item to lookup
Example:
"/pokemon/product/pop8/pop-series-8-pack-4c899e14"
Response
A specific item, if it exists
- Option 1
- Option 2
Pattern:
[^/]$Available options:
card Available options:
Pokemon Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Total available for this listing
Total quantity available
Show child attributes
Show child attributes
Show child attributes
Show child attributes